Bug 1985516 - allow-from-router feature doesn't work on v6 only single stack cluster
Summary: allow-from-router feature doesn't work on v6 only single stack cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Aniket Bhat
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1985514
Blocks: 1985517
TreeView+ depends on / blocked
 
Reported: 2021-07-23 19:10 UTC by Aniket Bhat
Modified: 2021-08-12 15:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1985514
: 1985517 (view as bug list)
Environment:
Last Closed: 2021-08-11 06:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 625 0 None open [release-4.7] Bug 1985516: Add v6 management interface address for host network policy 2021-07-30 01:56:15 UTC
Red Hat Product Errata RHSA-2021:2977 0 None None None 2021-08-11 06:42:01 UTC

Description Aniket Bhat 2021-07-23 19:10:38 UTC
+++ This bug was initially created as a clone of Bug #1985514 +++

+++ This bug was initially created as a clone of Bug #1985512 +++

Description of problem:

In a v6 only ovn-k cluster, the management interface IP is not added to the address set used for classifying host network traffic. This causes the allow-from-router network policy to not work correctly on platforms where the endpoint publishing strategy is "HostNetwork"

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Create a single stack v6 cluster on vsphere or a platform where the endpoint publishing strategy is HostNetwork
2.Create allow from ingress network policy
3.try external access to service in the cluster that is v6

Actual results:
service is not reliably accessible since the v6 management IP is not added to the address set for classifying host network traffic

Expected results:
External access to a service in a single stack v6 cluster works reliably. 


Additional info:

Comment 1 Weibin Liang 2021-07-28 20:48:52 UTC
Testing pass by following steps in https://bugzilla.redhat.com/show_bug.cgi?id=1985512#c3

Comment 4 Weibin Liang 2021-07-30 15:42:56 UTC
https://github.com/openshift/ovn-kubernetes/pull/625/ is merged, move this bug to verified

Comment 7 errata-xmlrpc 2021-08-11 06:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.23 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2977


Note You need to log in before you can comment on or make changes to this bug.